<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Setting Dosen</title>
</head>
<body>
<div layout:fragment="main" class="container">
    <div class="row justify-content-center">
       <div class="col-md-10">
           <div class="alert alert-success" th:if="${success != null}">
               <h4>Save Data Success!</h4>

               <p th:text="${success}">Data Berhasil Disimpan.</p>
           </div>

           <div class="alert alert-danger" th:if="${gagal != null}">
               <h4>Save Data Unsuccesfully!</h4>

               <p th:text="${gagal}" >Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
           </div>
           <div class="row mb-4">
               <div class="col-md-8">
                   <h3 class="text-black">Daftar Dosen SI-BKD</h3>
               </div>
               <div class="col-md-4 justify-content-end" align="right">
                   <a class="btn btn-outline-success pull-right" th:href="@{/setting_dosen/form}">+ Tambah dosen</a>
               </div>
           </div>
           <form method="get">
               <div class="row mb-4">
<!--                   <div class="col-md-2">-->
<!--&lt;!&ndash;                       <select class="form-select" id="selectsatu" name="jabatan" aria-label="Default select example">&ndash;&gt;-->
<!--&lt;!&ndash;                           <option value="-" selected>Semua</option>&ndash;&gt;-->
<!--&lt;!&ndash;                           <option th:each="jabatan : ${listJabatan}"&ndash;&gt;-->
<!--&lt;!&ndash;                                   th:selected="(${jabatan} == *{selectedJabatan})"&ndash;&gt;-->
<!--&lt;!&ndash;                                   th:text="${jabatan.namaJabatanStruktural}"&ndash;&gt;-->
<!--&lt;!&ndash;                                   th:value="${jabatan.id}">Dosen Biasa</option>&ndash;&gt;-->
<!--&lt;!&ndash;                       </select>&ndash;&gt;-->
<!--                   </div>-->
                   <div class="col-md-11">
                       <input type="text" name="search" class="form-control" th:value="${search}" placeholder="Cari dosen berdasarkan nama, email atau perguruan tinggi" aria-label="First name">
                   </div>
                   <div class="col-md-1 d-grid gap-2">
                       <button class="btn btn-success">Cari</button>
                   </div>
               </div>
           </form>
           <div class="row mb-5">
               <div class="col-md-12 table-responsive">
                   <table class="table table-striped table-responsive">
                       <thead class="table-dark bg-success" style="--bs-table-bg:bg-success;">
                       <tr>
                           <th class="p-3">#</th>
                           <th class="p-3">Nama</th>
                           <th class="p-3">Email</th>
                           <th class="p-3">Telepon</th>
                           <th class="p-3">Jabatan</th>
                           <th class="p-3">Perguruan Tinggi</th>
                           <th>Status</th>
                           <th></th>
                           <th></th>
                           <th></th>
                       </tr>
                       </thead>
                       <tbody>
                       <tr th:each="data, row:${dosen}">
                           <td class="align-middle" th:text="${(row.index + 1)}"></td>
                           <td class="align-middle" th:text="${data.nama}"></td>
                           <td class="align-middle" th:text="${data.email}"></td>
                           <td class="align-middle" th:text="${data.telepon}"></td>
                           <td class="align-middle" th:text="${data.jabatanStruktural.namaJabatanStruktural}"></td>
                           <td class="align-middle" th:text="${data.perguruanTinggi.namaPerguruanTinggi}"></td>
                           <td>
                               <button class="btn btn-outline-success" th:if="${data.status.AKTIF}">AKTIF</button>
                           </td>
                           <td>
                               <a th:href="@{/setting_dosen/detail(dosen = ${data.id})}" class="btn btn-success">Detail</a>
                           </td>
                           <td>
                               <a th:href="@{/setting_dosen/form(id = ${data.id})}" class="btn btn-warning">Edit</a>
                           </td>
                           <td>
                               <form method="post" th:action="@{/setting_dosen/delete(dosen=${data.id})}">
                                   <button type="submit" class="btn btn-danger"
                                           onclick="return confirm('Apakah anda yakin ingin menghapus data ini?')">
                                       Hapus
                                   </button>
                               </form>
                           </td>
                       </tr>
                       </tbody>
                   </table>
               </div>

               <nav>
                   <ul class="pagination" sd:pagination="full">
                       <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                       <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                       <li class="active bg-success"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                   </ul>
               </nav>
           </div>
       </div>
    </div>
</div>
</body>
</html>
